%{?nodejs_find_provides_and_requires}

%global packagename babel-messages
%global enable_tests 1

Name:		nodejs-babel-messages
Version:	6.23.0
Release:	1%{?dist}
Summary:	Collection of debug messages used by Babel

License:	MIT
URL:		https://github.com/babel/babel/tree/master/packages/babel-messages
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/babel/babel/master/LICENSE


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(babel-runtime)

%description
Collection of debug messages used by Babel.


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- There are no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 22 2017 Jared Smith <jsmith@fedoraproject.org> - 6.23.0-1
- Initial packaging
